/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.remoteendpoint.usercoder;

public enum OPS {
	CHAR,
	BOOL,
	BYTE,
	SHORT,
	INT,
	LONG,
	FLOAT,
	DOUBLE;
	
	public static Object[] getClientEntities() {
		return new Object[] { CoderSuperClass.BOOL, CoderSuperClass.CHAR,
				CoderSuperClass.NUMERIC.byteValue(),
				CoderSuperClass.NUMERIC.shortValue(),
				CoderSuperClass.NUMERIC.intValue(),
				CoderSuperClass.NUMERIC.longValue(),
				CoderSuperClass.NUMERIC.floatValue(),
				CoderSuperClass.NUMERIC.doubleValue() };
	}	
}
